Package org.apache.commons.lang.mutable

## Class MutableObject

- java.lang.Object
- - org.apache.commons.lang.mutable.MutableObject

- All Implemented Interfaces:
    `Serializable`, `Mutable`

      public class MutableObject
      extends Object
      implements Mutable, Serializable

  A mutable `Object` wrapper.
  Since:
    2.1
  Version:
    $Id: MutableObject.java 905636 2010-02-02 14:03:32Z niallp $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MutableObject()` | Constructs a new MutableObject with the default value of `null`.
    `MutableObject​(Object value)` | Constructs a new MutableObject with the specified value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` | Compares this object against the specified object.
    `Object` | `getValue()` | Gets the value.
    `int` | `hashCode()` | Returns the value's hash code or `0` if the value is `null`.
    `void` | `setValue​(Object value)` | Sets the value.
    `String` | `toString()` | Returns the String value of this mutable.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableObject

          public MutableObject()

      Constructs a new MutableObject with the default value of `null`.

    - #### MutableObject

          public MutableObject​(Object value)

      Constructs a new MutableObject with the specified value.
      Parameters:
        `value` - the initial value to store

  - ### Method Detail

    - #### getValue

          public Object getValue()

      Gets the value.
      Specified by:
        `getValue` in interface `Mutable`
      Returns:
        the value, may be null

    - #### setValue

          public void setValue​(Object value)

      Sets the value.
      Specified by:
        `setValue` in interface `Mutable`
      Parameters:
        `value` - the value to set

    - #### equals

          public boolean equals​(Object obj)

      Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and is a `MutableObject` object that contains the same `Object` value as this object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the object to compare with, null returns false
      Returns:
        `true` if the objects are the same; `false` otherwise.

    - #### hashCode

          public int hashCode()

      Returns the value's hash code or `0` if the value is `null`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the value's hash code or `0` if the value is `null`.

    - #### toString

          public String toString()

      Returns the String value of this mutable.
      Overrides:
        `toString` in class `Object`
      Returns:
        the mutable value as a string